#ifndef ETTIMETEST_H
#define ETTIMETEST_H

#include <QWidget>
#include <QTimer>
#include <QDateTime>
#include <windows.h> 
namespace Ui {
class etTimeTest;
}

class etTimeTest : public QWidget
{
    Q_OBJECT
public:
    explicit etTimeTest(QWidget *parent = nullptr);
    ~etTimeTest();

    int setUI(const int nLeft, const int nTop, const int nWidth);
    int widgetHeight();
    int getCheckStatus();//0:false 1:true 2:未检测
private:
	void setNtp();
	void send();
    Ui::etTimeTest *ui;

	std::shared_ptr<QTimer> m_pTimer;
	QDateTime m_startTime;
	QDateTime m_endTime;	
	
	LARGE_INTEGER m_freq;
	LARGE_INTEGER m_start_t;
	LARGE_INTEGER m_stop_t;
	bool bStart;

    bool m_bTimeZone;
    bool m_bTime;
};

#endif // ETTIMETEST_H
